# spec file for package nodejs-nodejs-dezalgo

%global npmname dezalgo
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-dezalgo
Version:        1.0.1
Release:        0%{?dist}
Summary:        Contain async insanity so that the dark pony lord doesn't eat souls
Url:            https://github.com/npm/dezalgo
Source0:        http://registry.npmjs.org/dezalgo/-/dezalgo-1.0.1.tgz
License:        ISC

#BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

BuildRequires: npm(asap)
BuildRequires: npm(wrappy)

Requires: npm(asap)
Requires: npm(wrappy)

%description
Contain async insanity so that the dark pony lord doesn't eat souls
%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/dezalgo

cp -pr package.json dezalgo.js \
	%{buildroot}%{nodejs_sitelib}/dezalgo

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/dezalgo
#%license LICENSE
%doc README.md

%changelog
